﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinChart;

namespace ChartSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            showChart(true);
        }

        private void showChart(bool layoutFlag)
        {
            Form formGraph = new Form();
            formGraph.Text = "Tooltip test";
            formGraph.ShowIcon = false;
            formGraph.ShowInTaskbar = false;
            formGraph.Width = 700;
            formGraph.Height = 500;
            formGraph.Tag = null;
            formGraph.StartPosition = FormStartPosition.CenterScreen;
            formGraph.Show(this);

            ToolStrip header = new ToolStrip();
            header.Location = new System.Drawing.Point(0, 0);
            header.Name = "toolStripHeaderMain";
            header.Size = new System.Drawing.Size(940, 36);
            header.TabIndex = 0;
            header.Text = "toolStrip1";

            formGraph.Controls.Add(header);
            header.Dock = DockStyle.Top;

            Panel layout = new Panel();
            formGraph.Controls.Add(layout);
            layout.Dock = DockStyle.Fill;

            UltraChart chart = new UltraChart();
            chart.LoadPreset("preset.xml", true);
            chart.TitleTop.Text = "Report";
            chart.TitleBottom.Text = "Bottom Title";
            chart.TitleLeft.Text = "Left Title";
            DataTable dt = new DataTable();
            dt.ReadXml("data.xml");
            chart.DataSource = dt;
            chart.Tooltips.Overflow = Infragistics.UltraChart.Shared.Styles.TooltipOverflow.ChartArea;
            layout.Controls.Add(chart);
            chart.Dock = DockStyle.Fill;

            formGraph.Controls.Add(layout);

            if (layoutFlag)
            {//by doing this, the tooltip disappears.
                layout.BringToFront();
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            showChart(false);
        }
    }
}
